title: Billing Information
oneOf:
  - $ref: "../structs.json#/definitions/BillingSelf"
  - $ref: "#/definitions/BillingInsurance"
  - $ref: "../structs.json#/definitions/BillingInstitutional"

definitions:
  BillingInsurance:
    title: Insurance Billing
    additionalProperties: false
    type: object
    properties:
      billing_type:
        type: string
        title: Billing Type
        default: INSURANCE
        enum: 
          - INSURANCE
      insurance:
        type: array
        minItems: 1
        maxItems: 2
        items:
          $ref: "../structs.json#/definitions/Insurance"
    required:
      - billing_type
